package xyz.ibatv.nethercraft.datagen;

import net.fabricmc.fabric.api.datagen.v1.FabricDataOutput;
import net.fabricmc.fabric.api.datagen.v1.provider.FabricTagProvider;
import net.minecraft.registry.RegistryWrapper;
import net.minecraft.registry.tag.BlockTags;
import xyz.ibatv.nethercraft.block.ModBlocks;

import java.util.concurrent.CompletableFuture;

public class ModBlockTagProvider extends FabricTagProvider.BlockTagProvider {
    public ModBlockTagProvider(FabricDataOutput output, CompletableFuture<RegistryWrapper.WrapperLookup> registriesFuture) {
        super(output, registriesFuture);
    }

    @Override
    protected void configure(RegistryWrapper.WrapperLookup wrapperLookup) {
        getOrCreateTagBuilder(BlockTags.AXE_MINEABLE)
                .add(ModBlocks.GLOWOOD_PLANKS);

        //getOrCreateTagBuilder(BlockTags.NEEDS_STONE_TOOL)
        //        .add(ModBlocks.INFUSION_ALTAR)


        //getOrCreateTagBuilder(BlockTags.NEEDS_IRON_TOOL)
        //        .add(ModBlocks.PROSPERITY_GEMSTONE_BLOCK)
    }
}
